package org.kie.examples.osgi;

import org.kie.api.cdi.KSession;
import org.kie.api.runtime.KieSession;
import org.ops4j.pax.cdi.api.ContainerInitialized;

import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.event.Observes;
import javax.inject.Inject;

/**
 *
 * Sample Bean injecting KieSession in OSGi container.
 */
@ApplicationScoped
public class SampleInjectingBean {

    @Inject
    @KSession("sampleKSession")
    private KieSession kieSession;

    public void onStartup(@Observes ContainerInitialized event) {
        if (this.kieSession != null) {
            System.out.println("KieSession created.");
        } else {
            System.err.println("KieSession is null!");
        }
    }
}
